package com.example.sharingjdbctest;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.example.sharingjdbctest.mapper.GoodsMapper;
import com.example.sharingjdbctest.pojo.Goods;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class SharingJdbcTestApplicationTests2 {

    @Autowired
    GoodsMapper goodsMapper;

    @Test
    void addGoods() {
        Goods good = new Goods();
        good.setGname("小米手机1");
        good.setUserId(100L);
        good.setGstatus("已发布");
        goodsMapper.insert(good);
        Goods good2 = new Goods();
        good2.setGname("华为手机1");
        good2.setUserId(99L);
        good2.setGstatus("已发布");
        goodsMapper.insert(good2);
        Goods good3 = new Goods();
        good3.setGname("小米手机2");
        good3.setGid(99L);
        good3.setGstatus("已发布");
        goodsMapper.insert(good3);
        Goods good4 = new Goods();
        good4.setGname("华为手机2");
        good3.setGid(100L);
        good4.setGstatus("已发布");
        goodsMapper.insert(good4);
    }


    @Test
    void addGoods2() {
        for (int i = 0; i < 10; i++){
            for(int j = 0; j <10 ; j++) {
                Goods good = new Goods();
                good.setGname("小米手机" + i);
                long a = (long)i;
                good.setUserId(a);
                long b = (long)j;
                good.setGid(b);
                good.setGstatus("已发布"+j);
                goodsMapper.insert(good);
            }
        }
    }

    @Test
    void getGood3(){
        QueryWrapper<Goods> queryWrapper = new QueryWrapper<>();
        //此处根据实际gid值修改，还会查询goods表
        queryWrapper.eq("gid",952597511384596481L);
        Goods good = goodsMapper.selectOne(queryWrapper);
        System.out.println(good.toString());
    }



}
